import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";
const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

//竞价单总数
export async function httpBiddingTotal(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/saleexportconsultday`,
    {
      data
    }
  );
}

//采购订单金额
export async function httpPurchaseTotal(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportpurcheaseordersum`,
    {
      data
    }
  );
}

//竞价单回复总数
export async function httpBiddingReplyTotal(
  data: object
): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportconsultbidssum`,
    {
      data
    }
  );
}

//采购员订单金额
export async function httpBuyerOrder(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportpurcheaseordersumbyuser`,
    {
      data
    }
  );
}

//已采返报价信息
export async function httpPurchaseBack(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportconsultinfobidssum`,
    {
      data
    }
  );
}

//未采返信息
export async function httpNotPurchaseBack(
  data: object
): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportconsultinfobidssumnot`,
    {
      data
    }
  );
}

//订单明细报表
export async function httpOrderDetails(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportorderlistdetaile`,
    {
      data
    }
  );
}

//售后明细报表
export async function httpAfterSaleDetails(
  data: object
): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportorderreturnlist`,
    {
      data
    }
  );
}

//每日录入供应商报表
export async function httpEnterSupplier(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportorderreturnlist`,
    {
      data
    }
  );
}

//退货流水报表
export async function httpReturnDailyReport(
  data: object
): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportsalereturnlist`,
    {
      data
    }
  );
}

//商品上线报表
export async function httpProductLaunch(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportsalereturnlist`,
    {
      data
    }
  );
}

//商品下线报表
export async function httpProductOffline(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportgoodofflinelist`,
    {
      data
    }
  );
}

//商品修改报表
export async function httpProductChangeLog(
  data: object
): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportchangeloglist`,
    {
      data
    }
  );
}

//出入库明细
export async function httpInboundAndOutboundDetails(
  data: object
): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/reportchangeloglist`,
    {
      data
    }
  );
}
