import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/standingBook/standingBook";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },

  {
    prop: "standBookNo",
    label: "台账编码",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "projectNo",
    label: "项目编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "infoNo",
    label: "竞价单编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "bargainNo",
    label: "议价单编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "bk_code",
    label: "备货单编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "orderCode",
    label: "销售订单编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "spuCode",
    label: "成本商品编码",
    t1: "方便统一修改、留存",
    minWidth: 165
  },
  {
    prop: "skuCode",
    label: "上线商品编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "supplierNo",
    label: "供应商编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "companyNo",
    label: "业务公司编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "customer_code",
    label: "企业客户编号",
    t1: "方便统一修改、留存",
    minWidth: 180
  },

  {
    prop: "addtime",
    label: "创建时间",
    t1: "方便统一修改、留存",
    minWidth: 180
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    width: "80px"
  }
];

const contentConfig: ContentConfig = {
  title: "什么都有",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
