import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/dataCorrection/cgMessageList";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    minWidth: "180"
  },
  {
    prop: "cgder_old",
    label: "供应商负责人(修改前)",
    minWidth: "105"
  },
  {
    prop: "cgder",
    label: "供应商负责人(修改后)",
    minWidth: "105"
  },
  {
    prop: "supplierNo_old",
    label: "供应商编码(修改前)",
    minWidth: "180"
  },
  {
    prop: "supplierNo",
    label: "供应商编码(修改后)",
    minWidth: "180"
  },
  {
    prop: "supplier_name_old",
    label: "供应商名称(修改前)",
    minWidth: "180"
  },
  {
    prop: "supplier_name",
    label: "供应商名称(修改后)",
    minWidth: "180"
  },

  {
    prop: "wsm_code_old",
    label: "仓库编码(修改前)",
    minWidth: "180"
  },
  {
    prop: "wsm_code",
    label: "仓库编码(修改后)",
    minWidth: "180"
  },
  {
    prop: "wsm_name_old",
    label: "仓库名称(修改前)",
    minWidth: "180"
  },
  {
    prop: "wsm_name",
    label: "仓库名称(修改后)",
    minWidth: "180"
  },

  // {
  //   prop: "addtime",
  //   label: "添加时间",
  //   minWidth: "155"
  // },
  {
    prop: "updatetime",
    label: "修改时间",
    minWidth: "145"
  },

  {
    prop: "company_name",
    label: "创建人部门",
    minWidth: "150px"
  },
  {
    prop: "creater",
    label: "创建人",
    minWidth: "100"
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    width: "80px"
  }
];

const contentConfig: ContentConfig = {
  title: "采购单信息修正",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
