import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/goodStore/specs";
import { renderStatus } from "/@/utils/column-helper";
import { statusOptions } from "./options";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "id",
    label: "ID"
  },
  {
    prop: "spec_name",
    label: "规格名称"
  },
  {
    prop: "status",
    label: "状态",
    ...renderStatus(statusOptions)
  },
  {
    prop: "company_name",
    label: "创建人部门"
    // minWidth: "150px",
  },
  {
    prop: "creater",
    label: "创建人"
  },
  {
    prop: "addtime",
    label: "创建时间",
    sortable: true
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    width: "80px"
  }
];

const contentConfig: ContentConfig = {
  title: "商品品牌",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
