import { statusOptions } from "./options";
import { FormConfig } from "/@/components/PageSearch";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "规格状态",
      options: convertOptions(statusOptions)
    },
    {
      field: "brand_name",
      type: "input",
      placeholder: "规格名称"
    },
    {
      field: "creater",
      type: "input",
      placeholder: "创建人"
    },
    {
      field: "company_name",
      type: "input",
      placeholder: "创建人部门"
    }
  ]
};

export default searchFormConfig;
