import { httpAdd } from "/@/api/system/setBtn";
import { h } from "vue";
import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/parameter/card";
import { renderStatus } from "/@/utils/column-helper";
import { STATUS_OPTIONS } from "/@/config/status";
import { ElTag } from "element-plus";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    prop: "nickname",
    label: "真实姓名",
    width: "110px"
  },
  {
    prop: "role_name",
    label: "角色名称",
    width: "110px"
  },
  {
    prop: "mobile",
    label: "联系电话",
    width: "180"
  },
  {
    prop: "depart_info",
    label: "所在部门",
    width: "180",
    cellRenderer({ row }) {
      return h(ElTag, null, {
        default: () =>
          row.depart_info ? row.depart_info.map(item => item.join("/")) : "--"
      });
    }
  },
  {
    prop: "email",
    width: "180",
    label: "邮箱"
  },
  {
    prop: "status",
    label: "状态",
    width: "70px",
    ...renderStatus(STATUS_OPTIONS)
  },
  {
    prop: "addtime",
    label: "创建时间",
    sortable: true
  },

  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "账号管理",
  columns,
  apis: {
    httpAdd: true,
    httpList
  }
};

export default contentConfig;
