import { ContentConfig } from "/@/components/PageContent";

import { httpList } from "/@/api/process/unRead";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    label: "业务编号",
    width: 180,
    prop: "orderCode"
  },
  {
    label: "流程名称",
    width: 180,
    prop: "process_name"
  },
  {
    label: "流程状态",
    width: 180,
    prop: "order_status"
  },
  {
    label: "内容",
    prop: "content"
  },
  {
    label: "申请人",
    prop: "apply_name"
  },
  {
    label: "操作人",
    prop: "action_name"
  },
  {
    label: "申请时间",
    prop: "addtime"
  },
  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "我的未读",
  columns,
  apis: {
    httpList
  },
  powers: ["001", "002", "003", "004", "005", "006", "007", "008"]
};

export default contentConfig;
