import { ContentConfig } from "/@/components/PageContent";

import { httpList } from "/@/api/purchaseIn/purchaseDiffOrder";

import { statusOptions } from "./options";
import { renderStatus } from "/@/utils/column-helper";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    width: "180"
  },
  {
    prop: "status",
    label: "状态",
    width: "130px",
    ...renderStatus(statusOptions)
  },
  {
    prop: "company_name",
    label: "申请人部门",
    minWidth: "120px"
  },
  {
    prop: "apply_name",
    label: "申请人",
    width: "100"
  },
  {
    prop: "good_code",
    label: "商品编码",
    width: "180"
  },
  {
    prop: "good_name",
    label: "商品名称",
    width: "130"
  },
  // {
  //   prop: "class_cat",
  //   label: "商品分类",
  // },

  {
    prop: "good_weight",
    label: "商品总重量(g)",
    width: "120px"
  },
  {
    prop: "diff_weight",
    label: "工差总重量(g)",
    width: "120px"
  },

  {
    prop: "addtime",
    label: "创建时间",
    width: "140px",
    sortable: true
  },
  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "采购单管理",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
