import { statusOptions } from "./options";
import { FormConfig } from "/@/components/PageSearch";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "工查单状态",
      options: convertOptions(statusOptions)
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "cgdNo", label: "采购单编码" },
          { value: "apply_name", label: "申请人" },
          { value: "company_name", label: "申请人部门" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
