import { ContentConfig } from "/@/components/PageContent";

import { httpList } from "/@/api/purchaseIn/purchaseReturn";

import { renderCategory, renderStatus } from "/@/utils/column-helper";
import { CG_ORDER_TYPE_OPTIONS } from "/@/config/status";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    width: "180"
  },
  {
    prop: "returnCode",
    label: "退货单编号",
    width: "180"
  },
  // {确认单编号}
  // {order_type类型}
  // {
  //   prop: "apply_name",
  //   label: "申请人"
  // },
  // {
  //   prop: "status",
  //   label: "状态",
  //   _slot_: "status",
  //   width: "120px",
  // },
  {
    prop: "order_type",
    label: "退货来源",
    width: "130",
    ...renderStatus(CG_ORDER_TYPE_OPTIONS)
  },
  {
    prop: "spuCode",
    label: "商品编号",
    width: "180"
  },
  {
    prop: "good_class",
    label: "商品分类",
    width: "130",
    ...renderCategory()
  },
  {
    prop: "good_name",
    label: "商品名称",
    width: "150"
  },
  {
    prop: "return_num",
    label: "退货数量"
  },
  {
    prop: "return_fee",
    label: "退货总金额",
    width: "100"
  },
  // {
  //   prop: "post_company",
  //   label: "物流公司",
  // },
  // {
  //   prop: "post_code",
  //   label: "物流编号",
  // },
  // {
  //   prop: "post_fee",
  //   label: "物流费",
  //   width: "120"
  // },

  // {
  //   prop: "remark",
  //   label: "备注"
  // },
  // {
  //   prop: "wsm_supplier",
  //   label: "供应商"
  // },
  // {
  //   prop: "wsm_supplierNo",
  //   label: "供应商编码"
  // },
  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "采购退货单",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
