import { ContentConfig } from "/@/components/PageContent";

import { httpList } from "/@/api/purchaseIn/recovery";
import { renderCategory } from "/@/utils/column-helper";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  // {
  //   prop: "zxNo",
  //   label: "竞价单编号",
  //   width: "158px",
  // },
  {
    prop: "infoNo",
    label: "任务单号",
    width: "180"
  },

  {
    prop: "bidNo",
    label: "反馈商品编号",
    width: "180"
  },

  {
    prop: "good_name",
    label: "商品名称",
    width: "180",
    cellRenderer({ row }) {
      return (
        row.good_name +
        row.specinfo
          .map(({ spec_name, spec_value_id }, index) => {
            {
              const modifier = index === 0 ? "__" : "--";
              return ` ${modifier}${spec_name}[${spec_value_id}]`;
            }
          })
          .join(" ")
      );
    }
  },
  {
    prop: "can",
    label: "分类",
    width: "180px",
    ...renderCategory()
  },

  {
    prop: "brand_name",
    label: "品牌",
    width: "80px"
  },

  {
    prop: "unit",
    label: "单位",
    width: "80px"
  },
  {
    prop: "supplierName",
    label: "供应商名称",
    minWidth: "150px"
  },
  {
    prop: "cgder",
    label: "供应商负责人",
    width: "150px"
  },
  {
    prop: "creater",
    label: "商品创建人",
    width: "150px"
  },
  {
    prop: "addtime",
    label: "创建时间",
    width: "145px"
  },
  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "咨询采反查询",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
