import { ContentConfig } from "/@/components/PageContent";

import { httpList } from "/@/api/purchaseIn/wsmInOrder";

import { statusOptions } from "./options";
import { renderStatus } from "/@/utils/column-helper";
import { CG_ORDER_TYPE_OPTIONS } from "/@/config/status";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "wsm_in_code",
    label: "入库单编号",
    width: "180"
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    width: "180"
  },
  {
    prop: "status",
    label: "状态",
    width: "110px",
    ...renderStatus(statusOptions)
  },
  // {
  //   prop: "bkcode",
  //   label: "备库单编号",
  //   width: "155px",
  // },
  // {
  //   prop: "supplierNo",
  //   label: "采购供应商编号",
  //   width: "145px",
  // },
  // {
  //   prop: "supplier_name",
  //   label: "采购供应商名称",
  //   width: "155px",
  // },

  {
    prop: "spuCode",
    label: "商品成本编号",
    width: "180"
  },
  {
    prop: "good_name",
    label: "商品名称",
    "min-width": "180",
    cellRenderer({ row }) {
      return (
        row.good_name +
        row.speclist
          .map(({ spec_name, spec_value }, index) => {
            {
              const modifier = index === 0 ? "__" : "--";
              return ` ${modifier}${spec_name}[${spec_value}]`;
            }
          })
          .join(" ")
      );
    }
  },
  {
    prop: "brand_name",
    label: "品牌",
    width: "95px"
  },

  {
    prop: "send_num",
    label: "发货数量",
    width: "100"
  },
  // {
  //   prop: "post_company",
  //   label: "物流公司",
  //   width: "140px",
  // },
  // {
  //   prop: "post_code",
  //   label: "物流单号",
  //   width: "140px",
  // },
  {
    prop: "post_fee",
    label: "物流费用",
    width: "100px"
  },

  {
    prop: "order_type",
    label: "备货单",
    width: "130px",
    cellRenderer({ row }) {
      return renderStatus(CG_ORDER_TYPE_OPTIONS, row.order_type);
    }
  },
  // {
  //   prop: "wsm_num",
  //   label: "入库数量",
  //   width: "80px",
  // },
  // {
  //   prop: "error_num",
  //   label: "异常数量",
  //   width: "80px",
  // },
  // {
  //   prop: "check_name",
  //   label: "验货人",
  //   width: "60px",
  // },
  //
  // {
  //   prop: "cgder",
  //   label: "供应商负责人",
  //  width: "95",
  // },
  // {
  //   prop: "good_price",
  //   label: "单价",
  //   width: "110px",
  // },
  // {
  //   prop: "good_num",
  //   label: "数量",
  //   width: "110px",
  // },
  // {
  //   prop: "total_fee",
  //   label: "总货款",
  //   width: "120px",
  // },
  // {
  //   prop: "send_num",
  //   label: "已发货数量",
  //   width: "110px",
  // },
  // {
  //   prop: "wsend_num",
  //   label: "未发货数量",
  //   width: "105px",
  // },

  // {
  //   prop: "lasttime",
  //   label: "预计最晚入库时间",
  //   width: "145px",
  // },
  {
    prop: "wsm_supplierNo",
    label: "仓库公司编号",
    width: "180"
  },
  {
    prop: "wsm_supplier",
    label: "仓库公司名称",
    width: "155px"
  },
  {
    prop: "wsm_code",
    label: "仓库编号",
    width: "200"
  },
  {
    prop: "wsm_name",
    label: "仓库名称",
    width: "100"
  },
  // {
  //   prop: "company_name",
  //   label: "申请人部门",
  //   minWidth: "150px",
  // },
  {
    prop: "cgder",
    label: "供应商负责人",
    width: "120"
  },
  {
    prop: "good_creater",
    label: "商品创建人",
    width: "120"
  },
  {
    prop: "sendtime",
    label: "发货时间",
    width: "145px"
  },
  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "采购入库单管理",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
