import { statusOptions } from "./options";
import { FormConfig } from "/@/components/PageSearch";
import { CG_ORDER_TYPE_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "order_type",
      type: "select",
      placeholder: "入库单来源",
      options: convertOptions(CG_ORDER_TYPE_OPTIONS)
    },
    {
      field: "status",
      type: "select",
      placeholder: "入库单状态",
      options: convertOptions(statusOptions)
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "cgdNo", label: "采购单编码" },
          { value: "wsm_in_code", label: "入库单编号" },
          { value: "good_type_code", label: "产品属性编号" },
          { value: "good_name", label: "产品名称" },
          { value: "apply_name", label: "申请人" },
          { value: "supplierNo", label: "采购供应商编号" },
          { value: "company_name", label: "申请人部门" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
