import { httpInboundAndOutboundDetails } from "/@/api/reportQuery/purchaseReport";
import { ContentConfig } from "/@/components/PageContent";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "date",
    label: "创建人",
    minWidth: "115px"
  },
  {
    prop: "total",
    label: "创建人公司",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "创建人部门",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "创建时间",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "单据状态",
    minWidth: "115px"
  },
  {
    prop: "total",
    label: "采购单号",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "出入库类型",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "商品名称",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "商品编码",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "出入库数量",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "出入库日期",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "维护人员",
    minWidth: "115px"
  },
  {
    prop: "total",
    label: "发起人",
    minWidth: "115px"
  },
  {
    prop: "total",
    label: "库房性质",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "库房公司",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "库房名称",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "出入库明细",
  columns,
  apis: {
    httpList: httpInboundAndOutboundDetails
  }
};

export default contentConfig;
