import { ContentConfig } from "/@/components/PageContent";
import { httpAfterSaleDetails } from "/@/api/reportQuery/purchaseReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "returnCode",
    label: "售后单编号",
    minWidth: "155px"
  },
  {
    prop: "addtime",
    label: "创建时间",
    minWidth: "155px"
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    minWidth: "155px"
  },

  {
    prop: "name",
    label: "采购员所属部门",
    minWidth: "150px"
  },
  {
    prop: "cgder",
    label: "采购员",
    minWidth: "110px"
  },
  {
    prop: "supplier_name",
    label: "供应商名称",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "商品名称",
    minWidth: "155px"
  },
  {
    prop: "total_num",
    label: "购买数量",
    minWidth: "105px"
  },
  {
    prop: "receipttime",
    label: "签收日期",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "提出售后日期",
    minWidth: "155px"
  },
  {
    prop: "error_num",
    label: "售后数量",
    minWidth: "105px"
  },
  {
    prop: "error_remark",
    label: "问题描述",
    minWidth: "155px"
  },
  {
    prop: "error_reason",
    label: "异常原因",
    minWidth: "155px"
  },
  {
    prop: "status",
    label: "售后状态",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "售后明细报表",
  columns,
  apis: {
    httpList: httpAfterSaleDetails
  }
};

export default contentConfig;
