import { ContentConfig } from "/@/components/PageContent";
import { httpBiddingTotal } from "/@/api/reportQuery/purchaseReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "addtime",
    label: "采购日期",
    minWidth: "155px"
  },
  {
    prop: "name",
    label: "采购员所属部门",
    minWidth: "150px"
  },
  {
    prop: "cgder",
    label: "采购员",
    minWidth: "105px"
  },
  {
    prop: "good_num",
    label: "采购数量",
    minWidth: "155px"
  },
  {
    prop: "total_fee",
    label: "采购货款",
    minWidth: "155px"
  },
  {
    prop: "wait_good_num",
    label: "待处理采购数量",
    minWidth: "155px"
  },
  {
    prop: "wait_total_fee",
    label: "待处理采购货款",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "采购员订单金额",
  columns,
  apis: {
    httpList: httpBiddingTotal
  }
};

export default contentConfig;
