import { ContentConfig } from "/@/components/PageContent";
import { httpEnterSupplier } from "/@/api/reportQuery/purchaseReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "addtime",
    label: "录入供应商时间",
    minWidth: "155px"
  },
  {
    prop: "name",
    label: "供应商名称",
    minWidth: "155px"
  },
  {
    prop: "company_name",
    label: "采购维护人所属部门",
    minWidth: "155px"
  },
  {
    prop: "creater",
    label: "采购维护人",
    minWidth: "155px"
  },
  {
    prop: "nature",
    label: "供应商性质",
    minWidth: "155px"
  },
  {
    prop: "source",
    label: "供应商来源",
    minWidth: "155px"
  },
  {
    prop: "pay_type",
    label: "付款方式",
    minWidth: "125px"
  },
  {
    prop: "delivery_way",
    label: "发货方式",
    minWidth: "155px"
  },
  {
    prop: "updatetime",
    label: "修改供应商时间",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "未采返信息",
  columns,
  apis: {
    httpList: httpEnterSupplier
  }
};

export default contentConfig;
