import { ContentConfig } from "/@/components/PageContent";
import {
  httpProductChangeLog,
  httpProductLaunch
} from "/@/api/reportQuery/purchaseReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "addtime",
    label: "商品操作时间",
    minWidth: "155px"
  },
  {
    prop: "company_name",
    label: "采购维护人所属部门",
    minWidth: "155px"
  },
  {
    prop: "creater",
    label: "采购维护人",
    minWidth: "155px"
  },
  {
    prop: "code",
    label: "商品成本编号",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "商品名称",
    minWidth: "155px"
  },
  {
    prop: "name",
    label: "供应商名称",
    minWidth: "155px"
  },
  {
    prop: "",
    label: "变更",
    fixed: "right",
    _noset_: true,
    width: "50px",
    _slot_: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "商品修改报表",
  columns,
  apis: {
    httpList: httpProductChangeLog
  }
};

export default contentConfig;
