import { ContentConfig } from "/@/components/PageContent";
import { httpProductLaunch } from "/@/api/reportQuery/purchaseReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "company_name",
    label: "采购维护人所属部门",
    minWidth: "155px"
  },
  {
    prop: "creater",
    label: "采购维护人",
    minWidth: "125px"
  },
  {
    prop: "skuCode",
    label: "商品上线编号",
    minWidth: "155px"
  },
  {
    prop: "spuCode",
    label: "商品成本编号",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "商品名称",
    minWidth: "155px"
  },
  {
    prop: "brand_name",
    label: "品牌名称",
    minWidth: "155px"
  },
  {
    prop: "good_model",
    label: "商品型号",
    minWidth: "155px"
  },
  {
    prop: "name",
    label: "供应商名称",
    minWidth: "155px"
  },
  {
    prop: "tax",
    label: "税点",
    minWidth: "105px"
  },
  {
    prop: "nake_price",
    label: "成本价合计",
    minWidth: "115px"
  },
  {
    prop: "online_time",
    label: "上线时间",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "商品上线报表",
  columns,
  apis: {
    httpList: httpProductLaunch
  }
};

export default contentConfig;
