import { ContentConfig } from "/@/components/PageContent";
import { httpReturnDailyReport } from "/@/api/reportQuery/purchaseReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "returnCode",
    label: "退货单号",
    minWidth: "155px"
  },
  {
    prop: "addtime",
    label: "退货时间",
    minWidth: "155px"
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    minWidth: "155px"
  },
  {
    prop: "supplier_name",
    label: "供应商名称",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "商品名称",
    minWidth: "155px"
  },
  {
    prop: "good_num",
    label: "购买数量",
    minWidth: "105px"
  },
  {
    prop: "is_stock",
    label: "商品库存性质",
    minWidth: "110px",
    _slot_: "isStock"
  },
  {
    prop: "name",
    label: "采购员所属部门",
    minWidth: "150px"
  },
  {
    prop: "cgder",
    label: "采购员",
    minWidth: "105px"
  },
  {
    prop: "num",
    label: "退货数量",
    minWidth: "115px"
  },
  {
    prop: "send_num",
    label: "已发货数量",
    minWidth: "115px"
  },
  {
    prop: "result",
    label: "退货原因",
    minWidth: "155px"
  },
  {
    prop: "is_th",
    label: "供应商是否可以退货",
    minWidth: "155px",
    _slot_: "is_th"
  }
];

const contentConfig: ContentConfig = {
  title: "退货流水报表",
  columns,
  apis: {
    httpList: httpReturnDailyReport
  }
};

export default contentConfig;
