import { ContentConfig } from "/@/components/PageContent";
import { httpBiddinglist } from "/@/api/reportQuery/saleReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "addtime",
    label: "下单日期",
    minWidth: "155px"
  },
  {
    prop: "orderCode",
    label: "订单编号",
    minWidth: "155px"
  },
  {
    prop: "sendtime",
    label: "发货时间",
    minWidth: "155px"
  },
  {
    prop: "outCode",
    label: "发货申请单号",
    minWidth: "155px"
  },
  {
    prop: "status",
    label: "发货申请单状态",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "商品名称",
    minWidth: "155px"
  },
  {
    prop: "sale_price",
    label: "产品单价",
    minWidth: "155px"
  },
  {
    prop: "send_num",
    label: "发货数量",
    minWidth: "155px"
  },
  {
    prop: "send_total_price",
    label: "发货申请单总价",
    minWidth: "155px"
  },
  {
    prop: "apply_name",
    label: "申请人",
    minWidth: "155px"
  },
  {
    prop: "apply_company",
    label: "申请人所属部门",
    minWidth: "155px"
  },
  {
    prop: "cgder",
    label: "采购人",
    minWidth: "155px"
  },
  {
    prop: "post_name",
    label: "快递公司",
    minWidth: "155px"
  },
  {
    prop: "post_code",
    label: "快递单号",
    minWidth: "155px"
  },

  {
    prop: "contactor",
    label: "收货人",
    minWidth: "155px"
  },
  {
    prop: "mobile",
    label: "收货电话",
    minWidth: "155px"
  },
  {
    prop: "addr",
    label: "收货地址",
    minWidth: "155px"
  },
  {
    prop: "remark",
    label: "备注",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "竞价单总数",
  columns,
  apis: {
    httpList: httpBiddinglist
  }
};

export default contentConfig;
