import { ContentConfig } from "/@/components/PageContent";
import { httpAftersalesInfolist } from "../../../../../api/reportQuery/saleReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "addtime",
    label: "售后时间",
    minWidth: "155px"
  },
  {
    prop: "returnCode",
    label: "售后申请编号",
    minWidth: "155px"
  },
  {
    prop: "apply_name",
    label: "申请人",
    minWidth: "155px"
  },
  {
    prop: "apply_company",
    label: "部门",
    minWidth: "155px"
  },
  {
    prop: "outCode",
    label: "发货申请编号",
    minWidth: "155px"
  },
  {
    prop: "total_num",
    label: "发货数量",
    minWidth: "155px"
  },
  {
    prop: "status",
    label: "处理状态",
    minWidth: "155px"
  },
  {
    prop: "orderCode",
    label: "订单号",
    minWidth: "155px"
  },
  {
    prop: "first_customer_org",
    label: "一级组织",
    minWidth: "155px"
  },
  {
    prop: "second_customer_org",
    label: "二级组织",
    minWidth: "155px"
  },
  {
    prop: "companyName",
    label: "客户名称",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "商品名称",
    minWidth: "155px"
  },
  {
    prop: "sale_price",
    label: "销售单价",
    minWidth: "155px"
  },
  {
    prop: "error_total_price",
    label: "异常金额",
    minWidth: "155px"
  },
  {
    prop: "is_receive",
    label: "收货情况",
    minWidth: "155px"
  },
  {
    prop: "error_num",
    label: "异常数量",
    minWidth: "155px"
  },
  {
    prop: "result_desc",
    label: "异常原因",
    minWidth: "155px"
  },
  {
    prop: "error_remark",
    label: "异常备注",
    minWidth: "155px"
  },
  {
    prop: "except_code",
    label: "期望意愿",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "售后明细表",
  columns,
  apis: {
    httpList: httpAftersalesInfolist
  }
};

export default contentConfig;
