import { ContentConfig } from "/@/components/PageContent";
import { httpDailylist } from "../../../../../api/reportQuery/saleReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "creater",
    label: "创建人",
    minWidth: "155px"
  },
  {
    prop: "creater_company",
    label: "创建人部门",
    minWidth: "155px"
  },
  {
    prop: "consult_num",
    label: "当日竞价单数量",
    minWidth: "155px"
  },

  {
    prop: "consult_money",
    label: "当日竞价单金额",
    minWidth: "155px"
  },
  {
    prop: "sale_num",
    label: "当日下单数量",
    minWidth: "155px"
  },
  {
    prop: "sale_money",
    label: "当日下单金额",
    minWidth: "155px"
  },
  {
    prop: "receipt_num",
    label: "当日签收数量",
    minWidth: "155px"
  },
  {
    prop: "receipt_money",
    label: "当日签收金额",
    minWidth: "155px"
  },
  {
    prop: "invoice_num",
    label: "当日申报发票数量",
    minWidth: "155px"
  },
  {
    prop: "invoice_money",
    label: "当日申报发票金额",
    minWidth: "155px"
  },
  {
    prop: "after_sales_num",
    label: "单日售后单数",
    minWidth: "155px"
  },
  {
    prop: "after_sales_money",
    label: "单日售后金额",
    minWidth: "155px"
  },

  {
    prop: "payment_num",
    label: "当日回款单数",
    minWidth: "155px"
  },
  {
    prop: "payment_money",
    label: "当日回款金额",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "日报",
  columns,
  apis: {
    httpList: httpDailylist
  }
};

export default contentConfig;
