import { ContentConfig } from "/@/components/PageContent";
import { httpHotsellinglist } from "../../../../../api/reportQuery/saleReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "cat",
    label: "产品品类",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "产品名称",
    minWidth: "155px"
  },
  // {
  //   prop: "supplierNo",
  //   label: "下单时间",
  //   minWidth: "155px",
  // },
  {
    prop: "total_num",
    label: "数量",
    minWidth: "155px"
  },
  {
    prop: "total_price",
    label: "金额",
    minWidth: "155px"
  },
  {
    prop: "first_customer_org",
    label: "一级企业",
    minWidth: "110px"
  },
  {
    prop: "second_customer_org",
    label: "二级企业",
    minWidth: "100px"
  }
];

const contentConfig: ContentConfig = {
  title: "产品热销排行",
  columns,
  apis: {
    httpList: httpHotsellinglist
  }
};

export default contentConfig;
