import { ContentConfig } from "/@/components/PageContent";
import { httpReturnlist } from "../../../../../api/reportQuery/saleReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "return_time",
    label: "退货时间",
    minWidth: "155px"
  },
  {
    prop: "thCode",
    label: "退货单号",
    minWidth: "155px"
  },
  {
    prop: "outCode",
    label: "发货申请单编码",
    minWidth: "155px"
  },
  {
    prop: "status",
    label: "退货单状态",
    minWidth: "155px"
  },
  {
    prop: "apply_name",
    label: "创建人",
    minWidth: "155px"
  },
  {
    prop: "apply_company",
    label: "创建人所属部门",
    minWidth: "155px"
  },
  {
    prop: "orderCode",
    label: "确认单编号",
    minWidth: "155px"
  },
  {
    prop: "addtime",
    label: "下单日期",
    minWidth: "155px"
  },
  {
    prop: "companyName",
    label: "客户名称",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "产品名称",
    minWidth: "155px"
  },
  {
    prop: "sale_price",
    label: "单价",
    minWidth: "155px"
  },
  {
    prop: "wsend_num",
    label: "未发货数量",
    minWidth: "155px"
  },
  {
    prop: "th_num",
    label: "退货数量",
    minWidth: "155px"
  },
  {
    prop: "th_fee",
    label: "退货销售货款",
    minWidth: "155px"
  },
  {
    prop: "contactor",
    label: "发货单联系人",
    minWidth: "155px"
  },
  {
    prop: "mobile",
    label: "发货单联系人电话",
    minWidth: "155px"
  },
  {
    prop: "addr",
    label: "发货单地址",
    minWidth: "155px"
  },
  {
    prop: "result",
    label: "退货原因",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "退货明细表",
  columns,
  apis: {
    httpList: httpReturnlist
  }
};

export default contentConfig;
