import { ContentConfig } from "/@/components/PageContent";
import { httpWorkdifferencelist } from "../../../../../api/reportQuery/saleReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "addtime",
    label: "发起时间",
    minWidth: "155px"
  },
  {
    prop: "diffCode",
    label: "工差单号",
    minWidth: "125px"
  },
  {
    prop: "orderCode",
    label: "关联确认单",
    minWidth: "155px"
  },
  {
    prop: "apply_name",
    label: "创建人",
    minWidth: "155px"
  },
  {
    prop: "apply_company",
    label: "部门",
    minWidth: "155px"
  },
  {
    prop: "poaddtime",
    label: "确认单下单日期",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "产品名称",
    minWidth: "155px"
  },
  {
    prop: "companyName",
    label: "客户名称",
    minWidth: "155px"
  },
  {
    prop: "noble_metal",
    label: "贵金属种类",
    minWidth: "105px"
  },
  {
    prop: "good_num",
    label: "下单数量",
    minWidth: "115px"
  },
  {
    prop: "sale_price",
    label: "单价",
    minWidth: "155px"
  },
  {
    prop: "total_price",
    label: "总额",
    minWidth: "105px"
  },
  {
    prop: "good_weight",
    label: "商品总重量",
    minWidth: "115px"
  },
  {
    prop: "diff_weight",
    label: "工差重量",
    minWidth: "155px"
  },
  {
    prop: "diff_price",
    label: "销售工差总费用",
    minWidth: "105px"
  },
  {
    prop: "is_update_sale",
    label: "是否修改销售额",
    minWidth: "115px"
  },
  {
    prop: "sale_apply_name",
    label: "销售人员",
    minWidth: "95px"
  },
  {
    prop: "sale_apply_company",
    label: "销售人员部门",
    minWidth: "115px"
  }
];

const contentConfig: ContentConfig = {
  title: "工差信息表",
  columns,
  apis: {
    httpList: httpWorkdifferencelist
  }
};

export default contentConfig;
