import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/reportQuery/saleReportOrder";
import { renderStatus } from "/@/utils/column-helper";
import { statusOptions } from "./options";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "name",
    label: "业务表名称",
    width: "180"
  },

  {
    prop: "start",
    label: "数据开始时间",
    width: "180"
  },
  {
    prop: "end",
    label: "数据结束时间",
    width: "180"
  },
  {
    prop: "apply_name",
    label: "申请人",
    width: "180"
  },
  {
    prop: "status",
    label: "状态",
    width: "120px",
    ...renderStatus(statusOptions)
  },
  {
    prop: "expiretime",
    label: "文件过期时间",
    "min-width": "180"
  },

  {
    prop: "updatetime",
    label: "创建时间",
    width: "120"
  }
];

const contentConfig: ContentConfig = {
  title: "前端预约导出",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
