import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/sellOut/bargainList";
import { renderStatus } from "/@/utils/column-helper";
import { statusOptions } from "./_options";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "bargainNo",
    label: "议价编号",
    width: "180"
  },

  {
    prop: "infoNo",
    label: "竞价单编号",
    width: "180"
  },

  {
    prop: "status",
    label: "状态",
    width: "120px",
    ...renderStatus(statusOptions)
  },
  {
    prop: "bidsNo",
    label: "采返商品编号",
    width: "180"
  },
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    "min-width": "180"
  },
  {
    prop: "can",
    label: "分类",
    "min-width": "125",
    cellRenderer({ row }) {
      return row.can?.map(({ name }) => name).join(",") || "";
    }
  },

  {
    prop: "company_name",
    label: "申请人部门",
    minWidth: "150px"
  },

  {
    prop: "creater",
    label: "申请人",
    width: "75"
  },

  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "议价单管理",
  columns,
  apis: {
    httpList,
    httpUpdate: true
  }
};

export default contentConfig;
