import { statusOptions } from "./_options";
import { httpKHList } from "/@/api/other";
import { FormConfig } from "/@/components/PageSearch";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: convertOptions(statusOptions)
    },
    {
      field: "khNo",
      type: "remote-select",
      placeholder: "客户公司名称",
      otherOptions: {
        api: httpKHList,
        requestProp: "companyName",
        responseLabelProp: "companyName",
        responseValProp: "companyNo",
        prop: "item"
      }
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "bargainNo", label: "议价单编号" },
          { value: "bidsNo", label: "反馈商品编号" },
          { value: "infoNo", label: "竞价单编号" },
          { value: "company_name", label: "申请人部门" }
        ]
      }
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    }
  ]
};

export default searchFormConfig;
