import { FormRules } from "element-plus";

export const ladderFormRules: FormRules = {
  budget_price: {
    trigger: "change",
    required: true,
    validator(_, value) {
      if (value === "") return new Error("请输入预算单价");
      if (Number(value) === 0) return new Error("预算单价不能为零!");
      return true;
    }
  },
  num: {
    trigger: "change",
    required: true,
    message: "请输入购买数量",
    validator(_, value) {
      if (value === "") return new Error("请输入购买数量");
      if (Number(value) === 0) return new Error("购买数量不能为零!");
      return true;
    }
  },
  good_type: {
    trigger: "change",
    required: true,
    message: "请输入商品类型"
  },
  cat_id: {
    trigger: "change",
    required: true,
    message: "请输入商品分类"
  }
};

export const projectFormRules: FormRules = {
  name: {
    trigger: "change",
    required: true,
    message: "请输入项目名称"
  },
  platform: {
    trigger: "change",
    required: true,
    message: "请输入客户公司名称"
  },
  companyNo: {
    trigger: "change",
    required: true,
    message: "请输入销售方"
  },
  khNo: {
    trigger: "change",
    required: true,
    message: "请输入购买方"
  },
  budget_total: {
    trigger: "change",
    required: true,
    message: "请输入项目总预算"
  },
  arrtime: {
    trigger: "change",
    required: true,
    message: "请输入要求到货时间"
  },
  endtime: {
    trigger: "change",
    required: true,
    message: "请输入竞价截止时间"
  },
  use_desc: {
    trigger: "change",
    required: true,
    message: "请输入项目用途"
  },
  ladder: {
    trigger: "change",
    required: true,
    message: "请选择项目要求"
  }
};
