import { DescriptionColumns } from "/@/components/BasicDescriptions";
import { renderStatus } from "/@/utils/column-helper";
import { statusOptions } from "./_options";

import {
  XS_GOOD_SOURCE_OPTIONS,
  XS_ORDER_SOURCE_OPTIONS
} from "/@/config/status";

export const saleOrderColumns: DescriptionColumns = [
  {
    field: "orderCode",
    label: "订单编号",
    span: 6
  },
  {
    field: "status",
    label: "订单状态",
    span: 6,
    render: (_, row) => renderStatus(statusOptions).cellRenderer({ row })
  },
  {
    field: "order_source",
    label: "订单来源",
    span: 4,
    render: (_, row) =>
      renderStatus(XS_ORDER_SOURCE_OPTIONS, "order_source").cellRenderer({
        row
      })
  },
  {
    field: "order_type",
    label: "商品来源",
    span: 4,
    render: (_, row) =>
      renderStatus(XS_GOOD_SOURCE_OPTIONS, "order_source").cellRenderer({
        row
      })
  },
  {
    field: "apply_name",
    label: "创建人",
    span: 4
  },

  {
    field: "supplierName",
    label: "销售方公司",
    _slot_: "supplierName",
    span: 12
  },
  {
    field: "companyName",
    label: "购买方公司",
    _slot_: "companyName",
    span: 12
  },

  {
    field: "platform_name",
    label: "所属平台",
    span: 6
  },

  {
    field: "arrive_time",
    label: "要求到货时间",
    span: 6
  },
  {
    field: "paytime",
    label: "承诺付款时间",
    span: 6
  },
  {
    field: "addtime",
    label: "创建时间",
    span: 6
  },
  {
    field: "good_num",
    label: "购买数量",
    span: 4
  },
  {
    field: "send_num",
    label: "已发数量",
    span: 4
  },
  {
    field: "wsend_num",
    label: "未发数量",
    span: 4
  },
  {
    field: "th_num",
    label: "退货数量",
    span: 4
  },

  {
    field: "proof_id",
    label: "凭证文件",
    _slot_: "proof_id",
    span: 8
  },

  {
    field: "sale_price",
    label: "售价",
    append: "元",
    span: 6
  },
  {
    field: "total_price",
    label: "总金额",
    append: "元",
    span: 6
  },

  {
    field: "post_fee",
    label: "物流费用",
    append: "元",
    span: 6
  },
  {
    field: "send_type",
    label: "发货类型",
    _slot_: "send_type",
    span: 6
  },

  {
    field: "is_active",
    label: "活动类型",
    _slot_: "is_active",
    span: 8
  },
  {
    field: "returnCode",
    label: "售后来源单号",
    span: 8
  },

  {
    field: "useage",
    label: "订单用途",
    span: 8
  },

  {
    field: "remark",
    label: "备注",
    span: 24
  },

  {
    field: "platform_order",
    label: "平台订单号",
    span: 24
  },
  {
    field: "workNo",
    label: "其他单号",
    span: 24
  }
];
