import { statusOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";
import { XS_ORDER_SOURCE_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "订单状态",
      options: convertOptions(statusOptions)
    },
    {
      field: "order_type",
      type: "select",
      placeholder: "商品来源",
      options: convertOptions(XS_ORDER_SOURCE_OPTIONS)
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "orderCode", label: "订单编号" },
          { value: "good_name", label: "商品名称" },
          { value: "apply_name", label: "申请人" },
          { value: "company_name", label: "创建人部门" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
