import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/sellOut/sellAfterApply";
import { renderStatus } from "/@/utils/column-helper";
import { statusOptions } from "./options";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "orderCode",
    label: "订单编号",
    width: "180"
  },
  {
    prop: "returnCode",
    label: "售后申请单",
    width: "180"
  },
  {
    prop: "company_name",
    label: "申请人部门",
    minWidth: "150px"
  },
  {
    prop: "apply_name",
    label: "申请人"
  },
  {
    prop: "outCode",
    label: "发货申请单编号",
    width: "180"
  },
  {
    prop: "total_num",
    label: "出库总数"
  },
  {
    prop: "good_code",
    label: "商品编码",
    width: "180"
  },
  {
    prop: "good_name",
    label: "商品名称",
    width: "150"
  },
  {
    prop: "status",
    label: "状态",
    width: "120px",
    cellRenderer({ row }) {
      return renderStatus(statusOptions, row.status);
    }
  },
  {
    prop: "addtime",
    label: "添加时间",
    width: 150
  },
  {
    prop: "customer_name",
    label: "客户名称",
    width: "200"
  },
  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "售后申请单",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
