import { statusOptions } from "./options";
import { FormConfig } from "/@/components/PageSearch";
import { XS_ORDER_SOURCE_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "添加开始时间",
        endPlaceholder: "添加结束时间"
      }
    },
    {
      field: "send_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start_sendtime",
        endProp: "end_sendtime",
        startPlaceholder: "发货开始时间",
        endPlaceholder: "发货结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "订单状态",
      options: convertOptions(statusOptions)
    },
    {
      field: "order_type",
      type: "select",
      placeholder: "商品来源",
      options: convertOptions(XS_ORDER_SOURCE_OPTIONS)
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "orderCode", label: "销售订单编号" },
          { value: "outCode", label: "发货申请单编号" },
          { value: "supplier_name", label: "供应商名称" },
          { value: "good_code", label: "商品编号" },
          { value: "good_name", label: "商品名称" },
          { value: "company_name", label: "申请人部门" },
          { value: "apply_name", label: "申请人" },
          { value: "cgdNo", label: "采购单编号" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
