import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/sellOut/sellReturn";
import { cellRenderer } from "/@/utils/column-helper";
import { statusOptions } from "./options";

const columns = [
  {
    type: "selection",
    minWidth: 55,
    align: "left",
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    minWidth: 60,
    align: "left",
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "returnCode",
    label: "退货单编号",
    width: "180"
  },
  {
    prop: "orderCode",
    label: "销售订单编号",
    width: "180"
  },
  {
    prop: "status",
    label: "状态",
    width: "120px",
    ...cellRenderer("status", statusOptions)
  },
  {
    prop: "good_code",
    label: "商品成本编码",
    width: "160"
  },
  {
    prop: "good_name",
    label: "商品名称",
    "min-width": "180"
  },
  {
    prop: "num",
    label: "退货数量",
    width: "110"
  },
  {
    prop: "total_num",
    label: "订单总数",
    width: "110"
  },
  // {
  //   prop: "error_msg",
  //   label: "退货原因",
  //   width: "160"
  // },

  // {
  //   prop: "return_total",
  //   label: "退货总金额",
  //   width: "120"
  // },
  {
    prop: "company_name",
    label: "申请人部门",
    minWidth: "150px"
  },
  {
    prop: "apply_name",
    label: "申请人",
    width: "70"
  },
  {
    prop: "addtime",
    label: "申请时间",
    sortable: true,
    width: 150
  },
  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "退货单",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
