import { statusOptions } from "./options";
import { FormConfig } from "/@/components/PageSearch";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "退货单状态",
      options: convertOptions(statusOptions)
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "returnCode", label: "销售退货单编号" },
          { value: "orderCode", label: "销售订单编号" },
          { value: "company_name", label: "申请人部门" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
