import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/sellOut/stockApply";
import { renderStatus } from "/@/utils/column-helper";
import { statusOptions } from "./_options";

const columns = [
  {
    prop: "bk_code",
    label: "申请编码",
    width: "180"
  },
  {
    prop: "company_name",
    label: "申请人部门",
    width: "140"
  },
  {
    prop: "apply_name",
    label: "申请人",
    width: "80"
  },
  {
    prop: "good_name",
    label: "商品名称",
    "min-width": "120"
  },
  {
    prop: "spuCode",
    label: "SPU编码",
    width: "180"
  },
  {
    prop: "good_num",
    label: "数量",
    "min-width": "80"
  },
  {
    prop: "status",
    label: "状态",
    width: "120px",
    cellRenderer({ row }) {
      return renderStatus(statusOptions, row.status);
    }
  },
  {
    prop: "addtime",
    label: "创建时间",
    sortable: true,
    width: "150"
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    width: "80px",
    _slot_: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "备货申请管理",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
