import { FormRules } from "element-plus";

export const biddingFormRules: FormRules = {
  khNo: {
    message: "请选择购买方公司",
    trigger: "change",
    required: true
  },
  endtime: {
    message: "请选择竞价截止时间",
    trigger: "change",
    required: true
  },
  companyNo: {
    message: "请选择销售方公司",
    trigger: "change",
    required: true
  },
  is_project: {
    message: "请选择项目类型",
    trigger: "change",
    required: true
  },
  platform_code: {
    message: "请选择所属平台",
    trigger: "change",
    required: true
  },
  projectNo: {
    message: "请输入项目名称",
    trigger: "change",
    required: true
  }
};

export const biddingModalRules: FormRules = {
  arrival_time: {
    message: "请选择到货日期",
    trigger: "change",
    required: true
  },
  is_addrs: {
    message: "请选择是否多地",
    trigger: "change",
    required: true
  },
  budget_price: {
    trigger: "change",
    required: true,
    validator(_, value) {
      if (value === "") return new Error("请输入预算单价");
      if (Number(value) === 0) return new Error("预算单价不能为零!");
      return true;
    }
  },
  num: {
    trigger: "change",
    required: true,
    message: "请输入购买数量",
    validator(_, value) {
      if (value === "") return new Error("请输入购买数量");
      if (Number(value) === 0) return new Error("购买数量不能为零!");
      return true;
    }
  },
  brand_id: {
    message: "请选择品牌",
    trigger: "change",
    required: true
  },
  is_custom: {
    message: "请选择是否定制",
    trigger: "change",
    required: true
  },
  unit: {
    message: "请选择单位",
    trigger: "change",
    required: true
  },
  cat_id: {
    message: "请选择商品分类",
    trigger: "change",
    required: true
  },
  use_desc: {
    message: "请输入商品用途",
    trigger: "change",
    required: true
  },
  remark: {
    message: "请输入商品备注",
    trigger: "change",
    required: true
  },
  good_name: {
    message: "请输入商品名称",
    trigger: "change",
    required: true
  },
  good_img: {
    message: "请上传商品图片",
    trigger: "change",
    required: true
  }
};

export const specsRules: FormRules = {
  spec_id: {
    required: true,
    trigger: "change",
    message: "请选择规格类型"
  },
  spec_value_id: {
    required: true,
    trigger: "change",
    message: "请输入规格值"
  }
};
