import { ContentConfig } from "/@/components/PageContent";

import { httpList } from "/@/api/sellOut/zxDiffOrder";

import { statusOptions } from "./options";
import { cellRenderer, renderCategory } from "/@/utils/column-helper";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },

  {
    prop: "orderCode",
    label: "订单编号",
    fixed: "left",
    width: "180"
  },
  {
    prop: "diff_weight",
    label: "工差总重量",
    width: "125px"
  },
  {
    prop: "diff_price",
    label: "工差总金额",
    width: "125px"
  },
  {
    prop: "gold_price",
    label: "金价",
    width: "125px"
  },
  {
    prop: "status",
    label: "状态",
    width: "130px",
    ...cellRenderer("status", statusOptions)
  },
  {
    prop: "good_code",
    label: "商品编号",
    width: "180"
  },
  {
    prop: "good_name",
    label: "商品名称",
    "min-width": "160px"
  },
  {
    prop: "class_cat",
    label: "商品分类",
    width: "160px",
    ...renderCategory()
  },
  // {
  //   prop: "is_act",
  //   label: "是否接受工差",
  //   "width": "150px",
  // },
  // {
  //   prop: "customer_remark",
  //   label: "客户意愿",
  //   "width": "150px",
  // },

  {
    prop: "addtime",
    label: "创建时间",
    width: "140px"
  },
  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "工差单管理",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
