import { ContentConfig } from "/@/components/PageContent";
import { renderStatus } from "/@/utils/column-helper";
import { httpActionList } from "/@/api/serviceParam/setActionProcess";

import {
  actionTypeOptions,
  masterOptions,
  statusOptions,
  operationTypeOptions
} from "./options";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "status_name",
    label: "节点名称"
  },
  {
    prop: "order_process",
    label: "节点值",
    width: "70px"
  },
  {
    prop: "is_master",
    label: "是否主流程",
    width: "100px",
    ...renderStatus(masterOptions, "is_master")
  },
  {
    prop: "action_type",
    label: "节点类型",
    width: "100px",
    ...renderStatus(actionTypeOptions, "action_type")
  },
  {
    prop: "operation_type",
    label: "操作类型",
    width: "100px",
    ...renderStatus(operationTypeOptions, "operation_type")
  },
  {
    prop: "status",
    label: "状态",
    width: "70px",
    ...renderStatus(statusOptions, "status")
  },
  {
    prop: "next_actions",
    label: "下一节点"
  },
  {
    prop: "creater",
    label: "创建人",
    width: "75px"
  },
  {
    prop: "addtime",
    label: "创建时间",
    width: "145px"
  },

  {
    prop: "",
    label: "操作",
    fixed: "right",
    width: "140px"
  }
];

const contentConfig: ContentConfig = {
  title: "流程节点设置",
  columns,
  notReuqiredInit: true,
  apis: {
    httpList: httpActionList
  }
};

export default contentConfig;
