import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/serviceParam/terrace";
import { renderStatus } from "/@/utils/column-helper";
import { platformStatus, statusOptions } from "./options";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "platform_code",
    label: "平台编号",
    width: "180"
  },
  {
    prop: "platform_name",
    label: "平台名称"
  },
  {
    prop: "platform_type",
    label: "对接平台",
    ...renderStatus(platformStatus)
  },
  {
    prop: "status",
    label: "状态",
    ...renderStatus(statusOptions)
  },
  {
    prop: "creater",
    label: "创建人"
  },
  {
    prop: "company_name",
    label: "创建人部门",
    minWidth: "120px"
  },
  {
    prop: "addtime",
    label: "创建时间",
    minWidth: "145px"
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    width: "80px"
  }
];

const contentConfig: ContentConfig = {
  title: "业务参数",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
